@import '~@angular/material/theming';
@import './component-themes';

@include mat-core();

$primary: mat-palette($mat-indigo);
$accent: mat-palette($mat-pink, A200, A100, A400);
$warn: mat-palette($mat-red);
$theme: mat-light-theme($primary, $accent, $warn);

@include angular-material-theme($theme);
@include component-themes($theme);

.indigo-pink-theme {
  $primary: mat-palette($mat-indigo);
  $accent: mat-palette($mat-pink, A200, A100, A400);
  $warn: mat-palette($mat-red);
  $indigo-theme: mat-light-theme($primary, $accent, $warn);

  @include angular-material-theme($indigo-theme);
  @include component-themes($indigo-theme);
}

.deeppurple-amber-theme {
  $primary: mat-palette($mat-deep-purple);
  $accent: mat-palette($mat-amber, A200, A100, A400);
  $warn: mat-palette($mat-red);

  $deeppurple-theme: mat-light-theme($primary, $accent, $warn);

  @include angular-material-theme($deeppurple-theme);
  @include component-themes($deeppurple-theme);
}

// dark theme
.dark-theme {
  $dark-primary: mat-palette($mat-yellow);
  $dark-accent: mat-palette($mat-amber, A400, A100, A700);
  $dark-warn: mat-palette($mat-red);
  $dark-theme: mat-dark-theme($dark-primary, $dark-accent, $dark-warn);

  @include angular-material-theme($dark-theme);
  @include component-themes($dark-theme);
}
